return {
    id = "pas:Anything",
    label = "Anything",
    description = "Superclass of every resource type in the system.",
    abstract = "true",

    properties = {
        ["pas:sourcePath"] = {
            label = "Source path",
            description = [[
                  File or folder path relative to the SIP root as it was
                  originally submitted.]],
            type = "string",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["pas:contentType"] = {
            label = "Content type",
            type = "resource",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        --[[
        ["pas:id"] = {
            label = "Primary ID",
            type = "string",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        --]]
        ["dc:identifier"] = {
            label = "External system ID",
            type = "string",
        },
        ["dc:title"] = {
            label = "Title",
            type = "string",
            max_cardinality = 1,
        },
        ["dc:alternative"] = {
            label = "Alternative Label",
            type = "string",
        },
        ["dc:description"] = {
            label = "Description",
            type = "string",
        },
        ["dc:created"] = {
            label = "Created On",
            type = "datetime",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["dc:modified"] = {
            label = "Last Updated On",
            type = "datetime",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["dc:creator"] = {
            label = "Created By",
            type = "rel",
            range = {["pas:Agent"] = true},
        },
        ["dc:contributor"] = {
            label = "Last Updated By",
            type = "rel",
            range = {["pas:Agent"] = true},
        },
    },
}
