return {
    id = "pas:File",
    label = "File",
    broader = "pas:Anything",

    properties = {
        --[[
        ["pas:location"] = {
            label = "Location",
            type = "string",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        --]]
        ["pas:path"] = {
            label = "Archival path",
            description = [[
              Path of the preserved file, relative to the archival root. ]],
            type = "string",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["pas:next"] = {
            label = "Next sibling",
            type = "resource",
            range = {["pas:Part"] = true},
            max_cardinality = 1,
        },
        ["pas:thumbnail"] = {
            label = "Thumbnail",
            type = "string",
            --min_cardinality = 1,
            max_cardinality = 1,
        },
        ["dc:format"] = {
            label = "MIME type",
            type = "string",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["dc:extent"] = {
            label = "File size",
            description = "File size in bytes.",
            type = "integer",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["premis:hasMessageDigest"] = {
            label = "Checksum",
            description = [[
                File checksum formatted as an URN:
                `urn:<algorithm>:<hex digest>`]],
            type = "ext_resource",
            min_cardinality = 1,
        },
    }
}
