local vips = require "vips"

local pkar = require "pocket_archive"
local logger = pkar.logger


M = {}


-- Resize an image to a maximum size on either dimension.
M.img_resize = function(src, dest, size)
    print(("Resizing image %s with size %d to %s"):format(src, size, dest))
    -- TODO Make streaming if possible.
    local img = vips.Image.thumbnail(src, size)

    img:write_to_file(dest)

    return true
end


M.type_icon = function(src, dest, rtype)
    logger:info("TODO implement type icon")

    return true
end


-- Straight copy with no transformation.
M.copy = function(src, dest)
    local ifh = assert(io.open(src, "r"))
    local ofh = assert(io.open(dest, "w"))

    while true do
        chunk = ifh:read(pkar.config.fs.stream_chunk_size)
        if not chunk then break end
        ofh:write(chunk)
    end
    ifh:close()
    ofh:close()

    return true
end


return M
